﻿using System.IO;
using SixLabors.ImageSharp;

namespace GrayscaleRepro
{
    internal static class Program
    {
        private static void Main(string[] args)
        {
            using (var image = Image.Load("sample.jpg"))
            {
                using (var stream = File.OpenWrite("result.jpg"))
                {
                    image.SaveAsJpeg(stream);
                }

                using (var stream = File.OpenWrite("result.png"))
                {
                    image.SaveAsPng(stream);
                }
            }
        }
    }
}